/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.springdatajpaview.entity;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import java.math.BigDecimal;
import java.time.LocalDate;
import org.springframework.data.annotation.Immutable;

/**
 *
 * @author omozegieaziegbe
 */
@Entity
@Immutable
public class CustomerOrder {

    @Id
    private Long orderId;
    private Long customerId;
    private String customerName;
    private BigDecimal amount;
    private LocalDate orderDate;

    public CustomerOrder() {
    }

    public CustomerOrder(Long orderId, Long customerId, String customerName, BigDecimal amount, LocalDate orderDate) {
        this.orderId = orderId;
        this.customerId = customerId;
        this.customerName = customerName;
        this.amount = amount;
        this.orderDate = orderDate;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public LocalDate getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(LocalDate orderDate) {
        this.orderDate = orderDate;
    }

    @Override
    public String toString() {
        return "CustomerOrder{" + "orderId=" + orderId + ", customerId=" + customerId + ", customerName=" + customerName + ", amount=" + amount + ", orderDate=" + orderDate + '}';
    }

}
